<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package fivestarship
 */

?>

	<!-- ======= Footer ======= -->
      <footer id="footer">
         <div class="footer-top">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-3 col-md-6">
                           <?php if(get_field('first_column_heading', 'option')): ?>
                              <h4 class="widget-title"><?= get_field('first_column_heading', 'option'); ?></h4>
                           <?php endif; ?>

                           <?php $contact_details = get_field('contact_details', 'option'); ?>
                           <?php if(!empty($contact_details['phone'])): ?>
                           <div class="foo-phone">
                              <p class="title-foo">Phone</p>
                              <p class="phone-links"><a href="tel:<?= $contact_details['phone']; ?>"><?= $contact_details['phone']; ?></a></p>
                           </div>
                           <?php endif; ?>
                           <?php if(!empty($contact_details['email'])): ?>
                           <div class="foo-email">
                              <p class="title-foo">Email</p>
                              <p class="email-links"><a href="mailto:<?= $contact_details['email']; ?>"><?= $contact_details['email']; ?></a></p>
                           </div>
                           <?php endif; ?>

                           <?php
                           $social = get_field('social_media', 'option');
                           ?>
                           <div class="foo-social">
                              <p class="title-foo">Social Media </p>
                               <p class="social-link-img">
                                 <?php if(!empty($social['instagram'])): ?>
                                 <a href="<?= $social['instagram']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/instagram.png" class="img-fluid">
                                 </a> 
                              <?php endif; ?>
                              <?php if(!empty($social['facebook'])): ?>
                                 <a href="<?= $social['facebook']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/facebook.png" class="img-fluid">
                                 </a> 
                              <?php endif; ?>
                              <?php if(!empty($social['youtube'])): ?>
                                 <a href="<?= $social['youtube']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/youtube.png" class="img-fluid">
                                 </a> 
                              <?php endif; ?>
                              <?php if(!empty($social['linkedin'])): ?>
                                 <a href="<?= $social['linkedin']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/linkedin.png" class="img-fluid">
                                 </a>
                              <?php endif; ?>
                               </p>
                           </div>
                        </div>
                        <div class="col-lg-3 col-md-6">
                           <?php if(get_field('second_column_heading', 'option')): ?>
                           <h4 class="widget-title"><?= get_field('second_column_heading', 'option'); ?></h4>
                           <?php endif; ?>
                           <?php 
                           wp_nav_menu( array( 
                                 'theme_location' => 'footer-menu',
                                 'items_wrap' => '<ul id="%1$s" class="foo-link">%3$s</ul>', 
                              )); 
                           ?>
                           
                        </div>
                        <div class="col-lg-3 col-md-6">
                           <?php if(get_field('third_column_heading', 'option')): ?>
                            <h4 class="widget-title"><?= get_field('third_column_heading', 'option'); ?></h4>
                            <?php endif; ?>

                            <?php
                           $location = get_field('location', 'option');
                           ?>

                            <div class="foo-address">
                              <p><?= $location['address'];?></p>
                              <div class="map-foo">
                                 <?= $location['map'];?>
                              </div>
                            </div>
                        </div>
                         <div class="col-lg-3 col-md-6">
                           <div class="footer-logo">
                              <?php 
                           $footer_logo_id = get_field('footer_logo', 'option');
                           if ( $footer_logo_id ) {
                              echo wp_get_attachment_image( $footer_logo_id, 'full', "", array( "class" => "img-fluid" ));
                           } 
                           ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         
          <hr class="horizantal-line"/>
         <div class="container copyright-foo-area">
            <div class="row justify-content-center d-flex">
               <div class="col-lg-11">
                  <div class="row">
                     <div class="col-lg-12 col-md-12 copyright">
                        <?php if(get_field('copyright', 'option')): ?>
                        <p><?= get_field('copyright', 'option'); ?></p>
                        <?php endif; ?>
                     </div>
                  </div>
               </div>
            </div>
         </div>
       
		  <div class="mobile-show-details">
			  <div class="container">
				  <div class="row">
					 <div class="col-md-6 col-6">
						 <a href="tel:022 4000 4000" class="phone-icos"><i class="icofont-phone fas"></i> </a>
					  </div> 
					  <div class="col-md-6 col-6">
						 <a href="/contact/" class="contact-icos"><i class="icofont-envelope fas"></i></a>
					  </div> 
				  </div>
			  </div>
		  </div>
      </footer>
      <!-- Vendor JS Files -->
      <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/jquery/jquery.min.js"></script>
      <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/bootstrap/js/bootstrap.min.js"></script>
      <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/jquery.easing/jquery.easing.min.js"></script>
      <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/jquery-sticky/jquery.sticky.js"></script> 
      <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/owl.carousel/owl.carousel.min.js"></script>
<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/glightbox/js/glightbox.min.js"></script>
      <!-- Template Main JS File -->
      <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/js/main.js"></script>
<script>
function openModal() {
  document.getElementById("myModal").style.display = "block";
}

function closeModal() {
  document.getElementById("myModal").style.display = "none";
}

var slideIndex = 1;
showSlides(slideIndex);

function plusSlides(n) {
  showSlides(slideIndex += n);
}

function currentSlide(n) {
  showSlides(slideIndex = n);
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("mySlides");
  var dots = document.getElementsByClassName("demo");
  var captionText = document.getElementById("caption");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
      dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  dots[slideIndex-1].className += " active";
  captionText.innerHTML = dots[slideIndex-1].alt;
}
</script>
<?php wp_footer(); ?>

</body>
</html>
