<?php
/**
 * Template Name: Home Page 
 *
 * This is the template that displays front page by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */

get_header();
?>

  <!-- ======= Hero Section ======= -->
      <section id="hero">
         <div class="hero-container">
            <div id="heroCarousel" class="carousel slide carousel-fade" data-ride="carousel">
             <!--   <ol class="carousel-indicators" id="hero-carousel-indicators"></ol> -->
               <div class="carousel-inner" role="listbox">
                  <!-- Slide 1 -->
                  <div class="carousel-item active">
                    <?php
                     $banner_image = get_field('banner_image'); 
                     if( $banner_image ): 
                        echo  wp_get_attachment_image( $banner_image, 'full', "", array( "class" => "img-fluid w-100" ) );
                     endif; 
                     ?>
<!--                      <div class="carousel-container">
                        <div class="carousel-content container">
                           <div class="row justify-content-center d-flex meet-sec">
                              <div class="col-lg-11">
                                 <div class="row">
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div> -->
                  </div>
               </div>
             <!--   <a class="carousel-control-prev" href="#heroCarousel" role="button" data-slide="prev">
               <span class="sr-only">Previous</span>
               </a>
               <a class="carousel-control-next" href="#heroCarousel" role="button" data-slide="next">
               <span class="sr-only">Next</span>
               </a> -->
            </div>
         </div>
      </section>
      <!-- End Hero -->
      <main id="main">

          <?php 
if( have_rows('sections') ): 
   while( have_rows('sections') ): the_row(); 
      if( get_row_layout() == 'who_we_are_section' ):

   ?>

         <!--About Section-->
         <section class="who-we-are">
            <div class="container-fluid">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-12">
                     <div class="row about-rows align-items-center">
                        <div class="col-lg-6 col-md-12 pl-0">
                           <div class="about-left">
                              <?php if(get_sub_field('tagline')): ?>
                              <p class="tagline"><?= get_sub_field('tagline'); ?></p>
                              <?php endif; ?>

                              <?php if(get_sub_field('heading')): ?>
                              <h1 class="main-title"><?= get_sub_field('heading'); ?></h1>
                              <?php endif; ?>

                              <?= get_sub_field('content'); ?>

                              <?php
                              if( get_sub_field('button_label') && get_sub_field('button_link')):

                                 $btn_text = get_sub_field('button_label'); 
                                 $btn_link = get_sub_field('button_link');
                                 $link_url = $btn_link['url'];
                                 $link_target = $btn_link['target'] ? $btn_link['target'] : '_self'; 
                              ?>

                              <div class="btn-theme">
                                 <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>" class="btn"><?= $btn_text; ?></a>
                              </div>

                              <?php 
                              endif;
                              ?>
                           </div>
                        </div>
                        <div class="col-lg-6 col-md-12 pr-0">
                           <div class="about-img">                              
                              <?php
                              $image = get_sub_field('image'); 
                              if( $image ): 
                                echo  wp_get_attachment_image( $image, 'full', "", array( "class" => "img-fluid w-100" ) );
                              endif; 
                              ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>

         <?php elseif( get_row_layout() == 'our_expertise_sec' ): ?>

         <!---Services Section-->
         <section class="our-expertise">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-6 col-md-6">
                           <?php if(get_sub_field('heading')): ?>
                              <h2 class="main-title"><?= get_sub_field('heading'); ?></h2>
                           <?php endif; ?>
                        </div>
                        <div class="col-lg-6 col-md-6">
                        <?php
                           if( get_sub_field('button_label') && get_sub_field('button_link')):
                              $btn_text = get_sub_field('button_label'); 
                              $btn_link = get_sub_field('button_link');
                              $link_url = $btn_link['url'];
                              $link_target = $btn_link['target'] ? $btn_link['target'] : '_self'; 
                           ?>

                           <div class="theme-red-btn">
                              <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>" class="btn btn-theme-red"><?= $btn_text; ?></a>
                           </div>

                        <?php endif; ?>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                        <?php if(have_rows('expertise')): ?>
                           <div class="owl-carousel expertise-slider">
                           <?php while(have_rows('expertise')): the_row(); ?>
                              <div class="item-slide">
                                 <div class="box-slide">
                                    <?php
                                    $image = get_sub_field('featured_image'); 
                                    if( $image ): 
                                      echo  wp_get_attachment_image( $image, 'full', "", array( "class" => "img-fluid" ) );
                                    endif; 
                                    ?>
                                    
                                    <?php if(get_sub_field('title')): ?>
                                       <h4 class="title-blurb"><?= get_sub_field('title'); ?></h4>
                                    <?php endif; ?>

                                    <div class="para">
                                    <?= get_sub_field('description'); ?>
                                   </div>

                                   <?php
                                    if( get_sub_field('button_label') && get_sub_field('button_link')):
                                       $btn_text = get_sub_field('button_label'); 
                                       $btn_link = get_sub_field('button_link');
                                       $link_url = $btn_link['url'];
                                       $link_target = $btn_link['target'] ? $btn_link['target'] : '_self'; 
                                    ?>

                                       <div class="btn-theme">
                                          <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>" class="btn"><?= $btn_text; ?></a>
                                       </div>
                                    <?php endif; ?>

                                 </div>
                              </div>
                           <?php endwhile; ?>
                               
                           </div>
                        <?php endif; ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>

         <?php elseif( get_row_layout() == 'our_fleet_sec' ): ?>

         <!----------------Our fleet section------------->
         <section class="our-fleet-sec">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row align-items-center">
                        <div class="col-lg-6 col-md-6">
                           <?php if(get_sub_field('heading')): ?>
                              <h2 class="main-title white"><?= get_sub_field('heading'); ?></h2>
                           <?php endif; ?>
                     
                        </div>
                        <div class="col-lg-6 col-md-6">
                        <?php
                           if( get_sub_field('button_label') && get_sub_field('button_link')):
                              $btn_text = get_sub_field('button_label'); 
                              $btn_link = get_sub_field('button_link');
                              $link_url = $btn_link['url'];
                              $link_target = $btn_link['target'] ? $btn_link['target'] : '_self'; 
                        ?>
                            <div class="theme-red-btn">
                              <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>" class="btn btn-theme-red btn-white"><?= $btn_text; ?></a>
                           </div>
                        <?php endif; ?>
                          
                        </div>
                     </div>

                  <?php if(get_sub_field('display_fleet')): ?>
                  <div class="row">
                     <div class="col-md-12">
                     <?php
                        $fleet_args = array( 
                              'post_type' => 'fleet',
                              'post_status' => 'publish',
                              'posts_per_page' => -1,                             
                           );

                           

                        $fleets = new WP_Query( $fleet_args );

                        if ( $fleets->have_posts() ) :      
                     ?>
                        <div class="fleet-box owl-carousel">
                           <?php 
                           while ( $fleets->have_posts() ) : $fleets->the_post();
                           ?>
                           <div class="fleet-grid">
                              <?php
                              if ( has_post_thumbnail() ) :
                                 echo get_the_post_thumbnail( get_the_ID(), 'full', array( 'class' => 'img-fluid' ) );
                              endif;   
                              ?>
                              <div class="fleet-desc">
                                 <h4 class="fleet-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                 <?php if(get_field('fleet_no')): ?>
                                 <p class="fleet-no"><?= get_field('fleet_no'); ?></p>
                                 <?php endif; ?>
                                 <?php $info = get_field('fleet_info'); ?>
                                 <table class="table">
                                    <tbody>
                                     <tr>
                                       <td>Flag</td>
                                       <td><?= $info['flag'];?></td>
                                     </tr>
                                     <tr>
                                       <td>Built</td>
                                       <td><?= $info['build'];?></td>
                                     </tr>
                                     <tr>
                                       <td>Class</td>
                                       <td><?= $info['class'];?></td>
                                     </tr>
                                     <tr>
                                       <td>Deadweight</td>
                                       <td><?= $info['dead'];?></td>
                                     </tr>
                                     <tr>
                                       <td>GRT</td>
                                       <td><?= $info['grt'];?></td>
                                     </tr>
                                  </tbody>
                                 </table>
                                 <div class="theme-red-btn">
                                    <a href="<?php the_permalink(); ?>" class="btn btn-theme-red">Know more</a>
                                 </div>
                              </div>
                           </div>
                           <?php endwhile; ?>
                           
                        </div>
                        <?php endif; wp_reset_postdata();?>
                     </div>
                  </div>
                  <?php endif; ?>
               </div>
            </div>
         </div>
         </section>

      <?php elseif( get_row_layout() == 'cta_sec' ): ?>

        <?php get_template_part( 'template-parts/sections/section', 'cta' ); ?>

         
         <!------------------End------------------->
<?php
      endif;
   endwhile;
endif; 
?>
     


      </main>
      <!-- End #main -->

<?php
get_footer();