<?php

/*
* Fleet - Creating a function to create our CPT
*/
function fleet_post_type() {

	// Set UI labels for Custom Post Type
	$labels = array(
		'name'                => _x( 'Fleets', 'Post Type General Name', 'twentytwenty' ),
		'singular_name'       => _x( 'Fleet', 'Post Type Singular Name', 'twentytwenty' ),
		'menu_name'           => __( 'Fleets', 'twentytwenty' ),
		'parent_item_colon'   => __( 'Parent Fleet', 'twentytwenty' ),
		'all_items'           => __( 'All Fleets', 'twentytwenty' ),
		'view_item'           => __( 'View Fleet', 'twentytwenty' ),
		'add_new_item'        => __( 'Add New Fleet', 'twentytwenty' ),
		'add_new'             => __( 'Add New', 'twentytwenty' ),
		'edit_item'           => __( 'Edit Fleet', 'twentytwenty' ),
		'update_item'         => __( 'Update Fleet', 'twentytwenty' ),
		'search_items'        => __( 'Search Fleets', 'twentytwenty' ),
		'not_found'           => __( 'Not Found', 'twentytwenty' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'twentytwenty' ),
	);

	// Set other options for Custom Post Type
	$args = array(
		'label'               => __( 'Fleet', 'twentytwenty' ),
		'description'         => __( 'Fleet news and reviews', 'twentytwenty' ),
		'labels'              => $labels,
		// Features this CPT supports in Post Editor
		'supports'            => array( 'title', 'author', 'thumbnail', 'revisions', 'excerpt', 'editor'),
		'taxonomies'          => array( 'genres' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 4,
		'can_export'          => true,
		'has_archive'         => false,
		//'menu_icon'   			 => 'dashicons-admin-users',
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
		'show_in_rest' => true,
	);

	// Registering your Custom Post Type
	register_post_type( 'fleet', $args );
}

add_action( 'init', 'fleet_post_type', 0 );

function fleet_cat_taxonomies() {
	$labels = array(
		'name'              => _x( 'Fleet Categories', 'taxonomy general name' ),
		'singular_name'     => _x( 'Category', 'taxonomy singular name' ),
		'search_items'      => __( 'Search Categories' ),
		'all_items'         => __( 'All Categories' ),
		'parent_item'       => __( 'Parent Category' ),
		'parent_item_colon' => __( 'Parent Category:' ),
		'edit_item'         => __( 'Edit Category' ), 
		'update_item'       => __( 'Update Category' ),
		'add_new_item'      => __( 'Add New Category' ),
		'new_item_name'     => __( 'New Category' ),
		'menu_name'         => __( 'Categories' ),
	);
	$rewrite = array(
		'slug' => 'fleet-category',
		'with_front' => true,
		'hierarchical' => true,
	);
	$args = array(
		'labels' => $labels,
		'hierarchical' => true,
		'has_archive'         => false,
		'publicly_queryable'  => true,
		'show_admin_column' => true,
		'show_in_rest' => true,
		'rewrite' => $rewrite,
	);
	register_taxonomy( 'fleet_cat', 'fleet', $args );
}
add_action( 'init', 'fleet_cat_taxonomies', 0 );