<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package fivestarship
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	 <!-- Favicons -->
      <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/favicon.png" rel="icon">
      <!-- Google Fonts -->
      <link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap" rel="stylesheet">
      <!-- Vendor CSS Files -->
      <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
      <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/icofont/icofont.min.css" rel="stylesheet">
      <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/owl.carousel/assets/owl.carousel.min.css" rel="stylesheet">
      <!-- Template Main CSS File -->
      <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/css/style.css" rel="stylesheet">
      <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/css/spacing.css" rel="stylesheet">
  <link href="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<!-- ======= Header ======= -->
   <header id="header">
      <div class="container">
         <div class="row justify-content-center d-flex">
            <div class="col-lg-11">
               <div class="row align-items-center">
	               <div class="col-lg-3 col-md-4 col-9">
	                  <div class="logo float-left">
	                     <?php the_custom_logo(); ?>
	                  </div>
	               </div>
	               <div class="col-lg-6 col-md-4 col-3">
	               	<?php 
			         wp_nav_menu( array( 
			               'theme_location' => 'main',
			               'container' => 'nav',
			               'container_class' => 'nav-menu float-right d-none d-lg-block',
			               'items_wrap' => '<ul id="%1$s">%3$s</ul>', 
			            )); 
			         ?>
			         <!--
		               <nav class="nav-menu float-right d-none d-lg-block">
		                  <ul>
		                     <li class="drop-down">
		                        <a href="about.html">About Us</a>
		                        <ul>
		                           <li><a href="expertise.html">Expertise</a></li>
		                           <li><a href="practise.html">practise</a></li>
		                            <li><a href="team.html">team</a></li>
		                            <li><a href="certification">certificiation</a></li>
		                            <li><a href="policy.html">policy</a></li>
		                        </ul>
		                     </li>
		                      <li class="drop-down">
		                        <a href="#">Technical Management</a>
		                        <ul>
		                           <li><a href="fleet.html">fleet</a></li>
		                           <li><a href="contigency.html">contingency </a></li>
		                            <li><a href="inspections.html">inspections </a></li>
		                            <li><a href="repairs.html">repairs</a></li>
		                        </ul>
		                     </li>
		                      <li class="drop-down">
		                        <a href="#">Crew Management</a>
		                        <ul>
		                           <li><a href="crew-services.html">crew services</a></li>
		                           <li><a href="crew-training.html">crew training</a></li>
		                        </ul>
		                     </li>
		                      <li class="drop-down">
		                        <a href="#">Marine IT</a>
		                        <ul>
		                           <li><a href="danaos.html">danaos</a></li>
		                        </ul>
		                     </li>
		                  </ul>
		               </nav>
		           -->
	            	</div>
	            <!-- .nav-menu -->
	            <div class="col-lg-3 col-md-4 phone-menu-top">

	            	<?php 
			         wp_nav_menu( array( 
			               'theme_location' => 'right-top-menu',
			               'items_wrap' => '<ul id="%1$s" class="phone-area-top">%3$s</ul>', 
			            )); 
			         ?>

	                <!--<ul class="phone-area-top">
	                     <li><a href="tel:022 40004000">022 40004000</a></li>
	                     <li><a href="contact.html" class="btn-contact">Contact Us</a></li>
	                  </ul>
	              -->
	              </div>
         		</div>
        		</div>
         </div>
      </div>
   </header>
      <!-- End Header -->
