<?php
/**
 * Template Name: About 
 *
 * This is the template that displays front page by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */

get_header();
?>

 	<main id="main">
         <section class="breadcrumbs">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                           <h1 class="breadcrumb-title"><?= get_the_title();?></h1>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
          <?php 
if( have_rows('sections') ): 
   while( have_rows('sections') ): the_row(); 
      if( get_row_layout() == 'about_us_sec' ):
   ?>
         <!--About Section-->
         <section class="about-us">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row align-items-center">
                        <div class="col-lg-6 col-md-6">
                           <div class="about-left">
                              <?php if(get_sub_field('tagline')): ?>
                              <p class="tagline"><?= get_sub_field('tagline'); ?></p>
                              <?php endif; ?>

                              <?php if(get_sub_field('heading')): ?>
                              <h2 class="main-title"><?= get_sub_field('heading'); ?></h2>
                              <?php endif; ?>

                              <?= get_sub_field('content'); ?>

                              <?php
                              if( get_sub_field('button_label') && get_sub_field('button_link')):

                                 $btn_text = get_sub_field('button_label'); 
                                 $btn_link = get_sub_field('button_link');
                                 $link_url = $btn_link['url'];
                                 $link_target = $btn_link['target'] ? $btn_link['target'] : '_self'; 
                              ?>

                              <div class="btn-theme">
                                 <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>" class="btn"><?= $btn_text; ?></a>
                              </div>

                              <?php 
                              endif;
                              ?>
                           </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                           <div class="about-img">
                              <?php
                              $image = get_sub_field('image'); 
                              if( $image ): 
                                echo  wp_get_attachment_image( $image, 'full', "", array( "class" => "img-fluid w-100" ) );
                              endif; 
                              ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>

      <?php elseif( get_row_layout() == 'cta_sec' ): ?>

         <?php get_template_part( 'template-parts/sections/section', 'cta' ); ?>
         <!------------------End------------------->
<?php
      endif;
   endwhile;
endif; 
?>
      </main>
      <!-- End #main -->

<?php
get_footer();

