<?php
/**
 * Template Name: Contact
 * This is the template that displays front page by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */

get_header();
?>

    	<!-- ======= Hero Section ======= -->
      <main id="main">
         <section class="breadcrumbs">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                           <h1 class="breadcrumb-title"><?= get_the_title();?></h1>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
         <!--About Section-->
         <section class="about-us">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <?php
                        $details = get_field('contact_details');
                        ?>
                        <div class="col-lg-5 col-md-6 contact-details">
                        <?php if(!empty($details['phone'])): ?>
                           <div class="foo-phone">
                              <i class="icofont-phone fas"></i>
                              <div>
                                 <p class="title-foo">Phone</p>
                                 <p class="phone-links"><a href="tel:<?= $details['phone']; ?>"><?= $details['phone']; ?></a></p>
                              </div>
                           </div>
                        <?php endif; ?>
                        <?php if(!empty($details['email'])): ?>
                           <div class="foo-email">
                              <i class="icofont-envelope fas"></i>
                              <div>
                                 <p class="title-foo">Email</p>
                                 <p class="email-links"><a href="mailto:<?= $details['email']; ?>"><?= $details['email']; ?></a></p>
                              </div>
                           </div>
                        <?php endif; ?>
                        <?php if(!empty($details['location'])): ?>
                            <div class="foo-location">
                              <i class="icofont-location-pin fas"></i>
                              <div>
                                 <p class="title-foo">Location</p>
                                 <?= $details['location']; ?>
                              </div>
                           </div>
                           <?php endif; ?>

                           <?php
                           $social = get_field('social_media');
                           ?>
                           <div class="foo-social">
                              <p class="title-foo">Social Media </p>
                              <p class="social-link-img">
                              <?php if(!empty($social['instagram'])): ?>
                                 <a href="<?= $social['instagram']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/instagram.png" class="img-fluid">
                                 </a> 
                              <?php endif; ?>
                              <?php if(!empty($social['facebook'])): ?>
                                 <a href="<?= $social['facebook']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/facebook.png" class="img-fluid">
                                 </a> 
                              <?php endif; ?>
                              <?php if(!empty($social['youtube'])): ?>
                                 <a href="<?= $social['youtube']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/youtube.png" class="img-fluid">
                                 </a> 
                              <?php endif; ?>
                              <?php if(!empty($social['linkedin'])): ?>
                                 <a href="<?= $social['linkedin']; ?>" target="_blank">
                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/linkedin.png" class="img-fluid">
                                 </a>
                              <?php endif; ?>
                               </p>
                           </div>
                        </div>
                         <?php
                           $forms = get_field('forms');
                           ?>
                        <div class="col-lg-7 col-md-6">
                           <div class="get-touch-bx">
                              <?php if(!empty($forms['form_heading'])): ?>
                              <h2 class="main-title text-center"><?= $forms['form_heading']; ?></h2>
                              <?php endif; ?>
							        <?php echo do_shortcode( $forms['form_shortcode'] ); ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
         <?php if( get_field('map')): ?>
         <section class="map-sec pt-0 pb-0">
            <div class="container-fluid">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-12">
                           <div class="location-map">
                              <?= get_field('map'); ?>
                           </div>
                  </div>
               </div>
            </div>
         </section>
         <?php endif; ?>
         <!------------------End------------------->
      </main>
      <!-- End #main -->

<?php
get_footer();

