<?php
/**
 * Template Name: Danos
 * This is the template that displays front page by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */

get_header();
?>

    	<!-- ======= Hero Section ======= -->
      <main id="main">
         <section class="breadcrumbs">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                           <h1 class="breadcrumb-title"><?= get_the_title();?> </h1>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
<?php
if( have_rows('sections') ): 
   while( have_rows('sections') ): the_row(); 
      if( get_row_layout() == 'about_sec' ):
   ?>
         <!--About Section-->
         <section class="about-us">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row align-items-center">
                        <div class="col-lg-6 col-md-6">
                           <div class="about-left-s">
                              <?php if(get_sub_field('tagline')): ?>
                              <p class="tagline"><?= get_sub_field('tagline'); ?></p>
                              <?php endif; ?>

                              <?php if(get_sub_field('heading')): ?>
                              <h2 class="main-title"><?= get_sub_field('heading'); ?></h2>
                              <?php endif; ?>

                              <?= get_sub_field('content'); ?>
                           </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                           <div class="about-img">
                              <?php
                              $image = get_sub_field('image'); 
                              if( $image ): 
                                echo  wp_get_attachment_image( $image, 'full', "", array( "class" => "img-fluid" ) );
                              endif; 
                              ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
         
      <?php elseif( get_row_layout() == 'cta_sec' ): ?>

         <?php get_template_part( 'template-parts/sections/section', 'cta' ); ?>
         <!------------------End------------------->
<?php
      endif;
   endwhile;
endif; 
?>
         <!------------------End------------------->
      </main>
      <!-- End #main -->

<?php
get_footer();

