<?php
/**
 * Template Name: Fleet
 * This is the template that displays front page by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */

get_header();
?>

    	<!-- ======= Hero Section ======= -->
      <main id="main">
         <section class="breadcrumbs">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                           <h1 class="breadcrumb-title"><?= get_the_title();?></h1>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>

          <?php 
if( have_rows('sections') ): 
   while( have_rows('sections') ): the_row(); 
      if( get_row_layout() == 'fleet_sec' ):
   ?>
         <!--About Section-->
         <section class="fleet-us">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                           <div class="about-fleet">
                              <?php if(get_sub_field('heading')): ?>
                                 <h2 class="main-title text-center"><?= get_sub_field('heading'); ?></h2>
                              <?php endif; ?>
                              <?= get_sub_field('description'); ?>
                           </div>
                        </div>
                     </div>
                     <?php if(get_sub_field('display_fleet')): ?>
                     <div class="row">
                        <div class="col-md-12">
                        <?php
                        $fleet_args = array( 
                              'post_type' => 'fleet',
                              'post_status' => 'publish',
                              'posts_per_page' => -1,                             
                           );

                           

                        $fleets = new WP_Query( $fleet_args );

                        if ( $fleets->have_posts() ) :      
                        ?>
                           <div class="fleet-box-grid">
                              <?php 
                           while ( $fleets->have_posts() ) : $fleets->the_post();
                           ?>
                           <div class="fleet-grid">
                              <?php
                              if ( has_post_thumbnail() ) :
                                 echo get_the_post_thumbnail( get_the_ID(), 'full', array( 'class' => 'img-fluid' ) );
                              endif;   
                              ?>
                              <div class="fleet-desc">
                                 <h4 class="fleet-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                 <?php if(get_field('fleet_no')): ?>
                                 <p class="fleet-no"><?= get_field('fleet_no'); ?></p>
                                 <?php endif; ?>
                                 <?php $info = get_field('fleet_info'); ?>
                                 <table class="table">
                                    <tbody>
                                     <tr>
                                       <td>Flag</td>
                                       <td><?= $info['flag'];?></td>
                                     </tr>
                                     <tr>
                                       <td>Built</td>
                                       <td><?= $info['build'];?></td>
                                     </tr>
                                     <tr>
                                       <td>Class</td>
                                       <td><?= $info['class'];?></td>
                                     </tr>
                                     <tr>
                                       <td>Deadweight</td>
                                       <td><?= $info['dead'];?></td>
                                     </tr>
                                     <tr>
                                       <td>GRT</td>
                                       <td><?= $info['grt'];?></td>
                                     </tr>
                                  </tbody>
                                 </table>
                                 <div class="theme-red-btn">
                                    <a href="<?php the_permalink(); ?>" class="btn btn-theme-red">View Gallery</a>
                                 </div>
                              </div>
                           </div>
                           <?php endwhile; ?>
                              </div>
                              
                           </div>
                        <?php endif; wp_reset_postdata();?>  
                        </div>
                     </div>
                     <?php endif; ?>
                  </div>
               </div>
            </div>
         </section>

      <?php elseif( get_row_layout() == 'cta_sec' ): ?>

         <?php get_template_part( 'template-parts/sections/section', 'cta' ); ?>
         <!------------------End------------------->
<?php
      endif;
   endwhile;
endif; 
?>
         <!------------------End------------------->
      </main>
      <!-- End #main -->

<?php
get_footer();

