<?php
/**
 * Template Name: Team
 * This is the template that displays front page by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */

get_header();
?>

    	<main id="main">
         <section class="breadcrumbs">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                           <h1 class="breadcrumb-title"><?= get_the_title();?></h1>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
<?php
if( have_rows('sections') ): 
   while( have_rows('sections') ): the_row(); 
      if( get_row_layout() == 'our_team' ):
   ?>
         <!--About Section-->
         <section class="about-us">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-lg-12 col-md-12">
                        <?php if(have_rows('team')): ?>
                           <div class="team-grids-area">
                           <?php while(have_rows('team')): the_row(); ?>
                              <div class="team-box">
                                 <?php
                                 $image = get_sub_field('profile_image'); 
                                 if( $image ): 
                                    echo  wp_get_attachment_image( $image, 'full', "", array( "class" => "img-fluid" ) );
                                 endif; 
                                 ?>

                                 <?php if(get_sub_field('name')): ?>
                                    <h4 class="profile-name"><?= get_sub_field('name'); ?></h4>
                                 <?php endif; ?>
                                  <?php if(get_sub_field('designation')): ?>
                                    <h6 class="designation-role"><?= get_sub_field('designation'); ?></h6>
                                 <?php endif; ?>

                                 <?php echo get_sub_field('description') ?>

                              </div>
                           <?php endwhile; ?>
                              
                           </div>
                        <?php endif; ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>

      <?php elseif( get_row_layout() == 'cta_sec' ): ?>

         <?php get_template_part( 'template-parts/sections/section', 'cta' ); ?>
         <!------------------End------------------->
<?php
      endif;
   endwhile;
endif; 
?>
         <!------------------End------------------->
      </main>
      <!-- End #main -->

<?php
get_footer();

