<?php
/**
 * Template part for displaying section: CTA
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package fivestarship
 */
?> 
      <?php
      $cta_bg_img = get_field('background_image', 'option');
      ?>

		<section class="cta-bg" style="background-image: url(<?php echo esc_url($cta_bg_img['url']); ?>);">
            <div class="container">
               <div class="row justify-content-center d-flex">
                  <div class="col-lg-11">
                     <div class="row">
                        <div class="col-md-12">
                           <div class="cta-box-desc">
                              <?php if(get_field('heading', 'option')): ?>
                                 <h2 class="main-title white"><?= get_field('heading', 'option'); ?></h2>
                              <?php endif; ?>
                              <p class="white"><?= get_field('content', 'option'); ?></p>

                              <?php if(get_field('button_label', 'option') && get_field('button_link', 'option')):
                                 $btn_text = get_field('button_label', 'option'); 
                                 $btn_link = get_field('button_link', 'option');
                                 $link_url = $btn_link['url'];
                                 $link_target = $btn_link['target'] ? $btn_link['target'] : '_self'; 
                              ?>
                                 <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>" class="btn btn-theme-red btn-white"><?= $btn_text; ?></a>
                              <?php endif; ?>

                              <?php if(get_field('arrow_button', 'option') && get_field('arrow_button_link', 'option')):
                                 $btn_img = get_field('arrow_button', 'option'); 
                                 $btn_link2 = get_field('arrow_button_link', 'option');
                                 $link_url2 = $btn_link2['url'];
                                 $link_target2 = $btn_link2['target'] ? $btn_link2['target'] : '_self'; 
                              ?>

                              <p class="arrow-right">
                                 <a href="<?= $link_url; ?>" target="<?php echo esc_attr( $link_target ); ?>">
                                    <?php
                                    
                                    if($btn_img ): 
                                      echo  wp_get_attachment_image( $btn_img, 'full', "", array( "class" => "img-fluid" ) );
                                    endif; 
                                    ?>
                                    
                                 </a>
                              </p>
                              <?php endif; ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
